Skip to main content
GET
/
v1
/
salesOrders
/
{salesOrderId}
/
files
/
{salesOrderFileId}
Query Sales Order File Data
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/files/{salesOrderFileId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
"aSDinaTvuI8gbWludGxpZnk="

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order that the file belong to.

salesOrderFileId
integer<int32>
required

The unique identifier of the sales order file.

Response

The requested file data.

The response is of type string<byte>.